Configuration Class Reference

`#include <configuration.h>`

Collaboration diagram for Configuration:

## Classes

class | ConfigurationException

## Public Member Functions

| Configuration ()
| ~Configuration ()
Variable * | find (const std::string &variable) const
void | insert (const std::string &variable, const std::string &value)
void | remove (const std::string &variable)
Variable * | operator[] (const std::string &variable) const
void | print () const
std::map< std::string, Variable * >::const_iterator | begin () const
std::map< std::string, Variable * >::const_iterator | end () const

## Private Attributes

std::map< std::string, Variable * > * | configuration

## Detailed Description

Configuration allows to query and modify all presage runtime configuration variables.

Definition at line 35 of file configuration.h.

## Constructor & Destructor Documentation

## Configuration()

Configuration::Configuration | ( |  | ) |

Definition at line 28 of file configuration.cpp.

References configuration.

## ~Configuration()

Configuration::~Configuration | ( |  | ) |

Definition at line 33 of file configuration.cpp.

References configuration.

## Member Function Documentation

## begin()

std::map< std::string, Variable * >::const_iterator Configuration::begin | ( |  | ) | const

Definition at line 108 of file configuration.cpp.

References configuration.

Referenced by Profile::read_from_configuration().

Here is the caller graph for this function:

## end()

std::map< std::string, Variable * >::const_iterator Configuration::end | ( |  | ) | const

Definition at line 113 of file configuration.cpp.

References configuration.

Referenced by Profile::read_from_configuration().

Here is the caller graph for this function:

## find()

Variable * Configuration::find | ( | const std::string & | variable | ) | const

Definition at line 45 of file configuration.cpp.

References configuration, and PRESAGE_CONFIG_VARIABLE_ERROR.

Referenced by PredictorRegistry::addPredictor(), operator[](), PredictorActivator::PredictorActivator(), PredictorRegistry::PredictorRegistry(), ProfileManager::refresh_config(), Selector::Selector(), and ProfileManager::~ProfileManager().

Here is the caller graph for this function:

## insert()

void Configuration::insert | ( | const std::string & | variable,
|  | const std::string & | value
| ) |  |

Definition at line 65 of file configuration.cpp.

References configuration, and Variable::set_value().

Referenced by Profile::visit_node().

Here is the call graph for this function:
Here is the caller graph for this function:

## operator[]()

Variable * Configuration::operator[] | ( | const std::string & | variable | ) | const

Definition at line 60 of file configuration.cpp.

References find().

Here is the call graph for this function:

## print()

void Configuration::print | ( |  | ) | const

Definition at line 93 of file configuration.cpp.

References configuration, and endl().

Here is the call graph for this function:

## remove()

void Configuration::remove | ( | const std::string & | variable | ) |

Definition at line 84 of file configuration.cpp.

References configuration.

## Member Data Documentation

## configuration

std::map<std::string, Variable*>* Configuration::configuration

private

Definition at line 81 of file configuration.h.

Referenced by begin(), Configuration(), end(), find(), insert(), print(), remove(), and ~Configuration().

The documentation for this class was generated from the following files:

- /build/presage-hvZ4Ld/presage-0.9.1/src/lib/core/configuration.h
- /build/presage-hvZ4Ld/presage-0.9.1/src/lib/core/configuration.cpp